;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; BORDER.SC
;  draws border characters, sets up and uses global variable 'last_border'
;
; IF YOUR EDITOR DOES NOT SUPPORT THE EXTENDED CHARACTER SET,  ..TOUGH.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; simply playing this script will load the following proc into memory:
libname= "boxlib"
createlib libname

 proc Draw_Border(option)
  private tmp
  if option="Over" then
   if not isassigned(Last_Border) then
    Message "No Border Character defined yet!" beep sleep 2000
   else typein Last_Border
   endif
   return
  endif
  ;
  if not isassigned(Last_Border) then Last_Border="" endif
  if Len(Last_Border)>1 then Last_Border=substr(Last_Border,1,1) endif
  ShowMenu
    "":"Alt-179",
    "":"Alt-196",
    "":"Alt-191",
    "":"Alt-217",
    "":"Alt-218",
    "":"Alt-192",
    "":"Alt-180",
    "":"Alt-195",
    "":"Alt-194",
    "":"Alt-197",
    "":"Alt-193",
    "":"Alt-186",
    "":"Alt-205",
    "":"Alt-187",
    "":"Alt-188",
    "":"Alt-201",
    "":"Alt-200",
    "":"Alt-185",
    "":"Alt-204",
    "":"Alt-203",
    "":"Alt-206",
    "":"Alt-202",
    "":"Alt-183",
    "":"Alt-182",
    "":"Alt-189",
    "":"Alt-214",
    "":"Alt-199",
    "":"Alt-211",
    "":"Alt-210",
    "":"Alt-215",
    "":"Alt-208",
    "":"Alt-184",
    "":"Alt-181",
    "":"Alt-190",
    "":"Alt-213",
    "":"Alt-198",
    "":"Alt-212",
    "":"Alt-209",
    "":"Alt-216",
    "":"Alt-207"
   default Last_Border
   to tmp
  if search(tmp,"")>0 then showmenu
   tmp:"One "+tmp, fill(tmp,2):"Two "+tmp, fill(tmp,4):"Four "+tmp,
   fill(tmp,8):"Eight "+tmp to tmp
  endif
  if tmp="Esc" then
   Last_Border=""
  else
   Last_Border=tmp
   TypeIn Last_Border
  endif
 Endproc
 writelib libname Draw_Border     ; enable for library
 release procs    Draw_Border

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; enable the next two lines to use 'hot-key' border chars:
  
  setkey 2 Draw_Border("Over")     ; Control-B -- repeat last char
  setkey -48 Draw_Border("")       ; Alt-B -- select border char
autolib="I:\\inform\\bbs\\work\\boxlib"

; OR, set the proper filename and enable the next lines to 'hot-key'
; the border script:
  
;  setkey 2 PLAY "BORDER" Draw_Border("Over") RELEASE PROCS Draw_Border
;  setkey -48 PLAY "BORDER" Draw_Border("") RELEASE PROCS Draw_Border

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
